%global debug_package %{nil}
%define ansible_version    2.9
%define oci_sdk_version    2.21.1

%if "%{?dist}" == ".el7"
%define galaxycmd ansible-galaxy-3
%else
%define galaxycmd ansible-galaxy
%endif

Name:       oci-ansible-collection		
Version:	2.17.0
Release: 1%{?dist}
Summary:	Oracle Cloud Infrastructure Ansible Collection 
Group:		Oracle Cloud Infrastructure
License:	GPL 3.0 and Apache 2.0 
URL:		https://github.com/oracle/oci-ansible-collection
Source0: oci-ansible-collection-%{version}.tar.bz2

BuildRequires:	python3 
BuildRequires:	ansible-python3 >= %{ansible_version}
Requires:	    ansible-python3 >= %{ansible_version}
Requires:       python36-oci-sdk >= %{oci_sdk_version}

%description
Oracle Cloud Infrastructure Ansible Collection provides an easy way
to provision and manage resources in Oracle Cloud using Ansible.


%prep
%setup -n %{name}-%{version}


%build
%{galaxycmd} collection build

%install
%{galaxycmd} collection install -p %{buildroot}/usr/share/ansible/collections/  oracle-oci-%{version}.tar.gz
pushd %{buildroot}/usr/share/ansible/collections/ansible_collections/oracle/oci
rm *.txt *.md samples/ docs/ -rf
popd

%files
%doc *.txt *.md samples/ docs/
%attr(755,root,root) /usr/share/ansible/collections/*


%post
find /usr/share/ansible/collections/ansible_collections/ -name '*.py?' -exec rm -f {} \;

%changelog
* Thu Mar 11 2021 EL Errata <el-errata_ww@oracle.com> 2.17.0-1
- Update to 2.17.0

* Thu Feb 25 2021 EL Errata <el-errata_ww@oracle.com> 2.16.0-1
- Update to 2.16.0

* Thu Feb 11 2021 EL Errata <el-errata_ww@oracle.com> 2.15.0-1
- Update to 2.15.0

* Thu Jan 28 2021 EL Errata <el-errata_ww@oracle.com> 2.14.0-1
- Update to 2.14.0

* Wed Jan 13 2021 build <ca_buildteam_grp@oracle.com> - 2.13.0-1.el7
- Update to 2.13.0 for Oracle build

* Wed Jan 13 2021 EL Errata <el-errata_ww@oracle.com> 2.13.0-1
- Update to 2.13.0

* Wed Dec 23 2020 build <ca_buildteam_grp@oracle.com> - 2.12.0-1.el7
- Update to 2.12.0 for Oracle build

* Wed Dec 23 2020 EL Errata <el-errata_ww@oracle.com> 2.12.0-1
- Update to 2.12.0

* Thu Nov 19 2020 build <ca_buildteam_grp@oracle.com> - 2.11.0-1.el7
- Update to 2.11.0 for Oracle build

* Thu Nov 19 2020 EL Errata <el-errata_ww@oracle.com> 2.11.0-1
- Update to 2.11.0

* Thu Oct 29 2020 build <ca_buildteam_grp@oracle.com> - 2.10.0-1.el7
- Update to 2.10.0 for Oracle build

* Thu Oct 29 2020 EL Errata <el-errata_ww@oracle.com> 2.10.0-1
- Update to 2.10.0

* Fri Oct 16 2020 Alan Steinberg <alan.steinberg@oracle.com> - 2.9.0-1.el7
- Update to 2.9.0 for Oracle build.

* Fri Sep 25 2020 Qing Lin <qing.lin@oracle.com> -2.8.0 
- Update to 2.8.0

* Fri Aug 28 2020 Qing Lin <qing.lin@oracle.com> -2.6.0 
- Update to 2.6.0

* Thu Aug 27 2020 Qing Lin <qing.lin@oracle.com> -2.5.0 
- Update to 2.5.0

* Fri Jun 26 2020 Qing Lin <qing.lin@oracle.com> -2.2.0 
- Initial build

